import time
import datetime

import gpudb
import requests

WAIT = 10
MAX_WAIT = 1000000

for attempt in range(1, MAX_WAIT):

    api_up = False
    system_up = False

    try:
        if not api_up:
            r = requests.get('http://localhost:9191', timeout=5)
            if 'Kinetica is running' in r.text:
                #  print('Kinetica API is available')
                api_up = True
            r = requests.get('http://localhost:9300', timeout=5)
            if r.json().get('system_status') == 'running':
                #  print('Kinetica system status is running')
                system_up = True
    except:
        pass

    if not api_up or not system_up:
        print(
            f"{datetime.datetime.now().isoformat(' ')[:-3].replace('.', ',')} "
            f"INFO  (KML) startup - "
            f"Database not available. Waiting {WAIT} seconds"
        )
        time.sleep(WAIT)
    else:
        print(
            f"{datetime.datetime.now().isoformat(' ')[:-3].replace('.', ',')} "
            f"INFO  (KML) startup - "
            f"Database is available. Proceeding with KML start."
        )
        break
