TBL_UNIVERSE_KML_SYSTABLES = [
    'sys_kml_file',
    'sys_kml_dataset',
    'sys_kml_ingest',
    'sys_kml_featureset',
    'sys_kml_catalog',
    'sys_kml_catalog_links',
    'sys_kml_model_depl',
    'sys_kml_model_inst',
    'sys_kml_systables_version',
    'sys_kml_project',
    'sys_kml_audit',
    'sys_kml_credential',
    'sys_kml_entity',
    'sys_kml_events',
    'sys_kml_events_lifecycle',
    'sys_kml_events_metrics',
    'sys_kml_user_data'
]

TBL_SCHEMA_sys_kml_entity = [
    ["entity_id", "long", "primary_key"],
    ["entity_type", "string", "char16", "dict"],
    ["entity_name", "string", "char64"],
    ["entity_desc", "string", "char256"],
    ["entity_state", "string", "char16", "dict"],
    ["doc_state", "string", "char16", "dict"],
    ["visibility", "string", "char16", "dict"],
    ["create_dt", "string", "datetime"],
    ["update_dt", "string", "datetime"],
    ["free_map_of_maps", "string", "store_only"]
]

TBL_SCHEMA_sys_kml_project = [
    ["entity_id", "long", "primary_key"],
    ["project_config", "string", "store_only"]
]

TBL_SCHEMA_sys_kml_model_inst = [
    ["entity_id", "long", "primary_key"],
    ["featureset_id", "long", "nullable"],
    ["model_inst_config", "string", "store_only"],
    ["resource_config", "string", "store_only", "nullable"],
    ["file_id_servable_mdl_binary", "long", "nullable"],
    ["file_id_training_logs", "long", "nullable"],
    ["file_id_xformer_ref", "long", "nullable"],
    ["metrics", "string", "store_only", "nullable"]
]

TBL_SCHEMA_sys_kml_file = [
    ["file_id", "long", "primary_key"],
    ["the_file", "bytes", "store_only"],
    ["md5", "string", "char64"],
    ["create_dt", "string", "datetime"],
    ["file_name", "string", "char64", "nullable"],
    ["file_desc", "string", "char256", "nullable"]
]

TBL_SCHEMA_sys_kml_model_depl = [
    ["entity_id", "long", "primary_key"],
    ["base_model_inst_id", "long"],
    ["featureset_id", "long", "nullable"],
    ["deployment_type", "string", "char16"],
    ["model_dep_config", "string", "store_only"],
    ["resource_config", "string", "store_only"]
]

TBL_SCHEMA_sys_kml_dataset = [
    ["entity_id", "long", "primary_key"],
    ["source_config", "string", "store_only"]
]

TBL_SCHEMA_sys_kml_featureset = [
    ["entity_id", "long", "primary_key"],
    ["config_inline", "string", "store_only", "nullable"],
    ["config_relational", "string", "store_only", "nullable"]
]

TBL_SCHEMA_sys_kml_ingest = [
    ["entity_id", "long", "primary_key"],
    ["ingest_mode", "string", "char16"],
    ["ingest_type", "string", "char16"],
    ["ingest_config", "string", "store_only"],
    ["file_id", "long", "nullable"]
]

TBL_SCHEMA_sys_kml_catalog = [
    ["tag_id", "long"],
    ["user_id", "string"],
    ["tag_text", "string", "char128", "dict"]
]

TBL_SCHEMA_sys_kml_catalog_links = [
    ["tag_id", "long"],
    ["entity_id", "long"]
]

TBL_SCHEMA_sys_kml_audit = [
    ["entity_id", "long", "primary_key"],
    ["audit_config", "string", "store_only"]
]

TBL_SCHEMA_sys_kml_credential = [
    ["entity_id", "long", "primary_key"],
    ["credential_type", "string", "char16", "dict"],
    ["credential_config", "string", "store_only"]
]

TBL_SCHEMA_inf_input = [
    ["guid", "string", "uuid", "init_with_uuid"],
    ["receive_dt", "string", "datetime"]
]

TBL_SCHEMA_inf_output = [
    ["guid", "string", "uuid"],
    ["receive_dt", "string", "datetime", "nullable"],
    ["process_start_dt", "string", "datetime", "nullable"],
    ["process_end_dt", "string", "datetime", "nullable"],
    ["success", "int", "int8", "nullable"],
    ["errorlog", "string", "char64", "dict"],
    ["errorstack", "string", "store_only", "nullable"]
]

TBL_SCHEMA_user_data = [
    ["profile", "string", "char32"],
    ["is_active", "int", "int8"],
    ["modified_dt", "string", "datetime", "nullable"],
    ["notebooks_data", "bytes", "store_only", "nullable"],
    ["jupyter_url", "string", "char256", "nullable"],
    ["jupyter_deployment", "string", "char32", "nullable"]
]

TBL_SCHEMA_events = [
    ["guid", "string", "uuid"],
    ["receive_dt", "string", "datetime", "nullable"],
    ["event_type", "string", "char16", "nullable", "dict"],
    ["event_detail", "string", "store_only", "nullable"],
    ["reporter_type", "string", "char32", "dict"]
]

TBL_SCHEMA_events_lifecycle = [
    ["guid", "string", "uuid"],
    ["receive_dt", "string", "datetime", "nullable"],
    ["deployment_id", "long", "nullable"],
    ["deployment_name", "string", "char32", "nullable"],
    ["k8s_pod_name", "string", "char32", "nullable"],
    ["reporter_type", "string", "char32", "dict"],
    ["event_sub_type", "string", "char256", "nullable", "dict"]
]

TBL_SCHEMA_events_metrics = [
    ["guid", "string", "uuid"],
    ["receive_dt", "string", "datetime", "nullable"],
    ["deployment_id", "long", "nullable"],
    ["deployment_name", "string", "char32", "nullable", "dict"],
    ["k8s_pod_name", "string", "char32", "nullable", "dict"],
    ["reporter_type", "string", "char32", "dict"],
    ["seq_id", "long", "nullable"],
    ["recs_received", "long", "nullable"],
    ["recs_relayed", "long", "nullable"],
    ["recs_inf_success", "long", "nullable"],
    ["recs_inf_failure", "long", "nullable"],
    ["recs_inf_persisted", "long", "nullable"],
    ["throughput_inf", "long", "nullable"],
    ["throughput_e2e", "long", "nullable"]
]

TBL_SCHEMA_slipway = [
    ["container_name", "string", "char64"],
    ["deployment_name", "string", "char64"],
    ["description", "string", "char256"],
    ["launch_time", "string", "datetime"],
    ["status", "string", "char16"]
]
