#!/bin/bash

echo -e "\nSetting up AAW Kubernetes command line utilities.\n"

echo -e "These convenience functions allow fine-grained, manual interaction with"
echo -e "Kubernetes clusters.\n"

echo "kdel   - Delete specific objects (deployments, pods, jobs or services)"
echo "kdesc  - Print metadata and status of specific objects"
echo "kexec  - Shell into a running pod"
echo "kk     - Run the 3rd party K8s log aggregator KubeTail"
echo "klog   - Dump internal log from a running deployment or pod"
echo "kmon   - Start a live monitor of deployments, pods etc."
echo "kpurge - Force delete all objects in a namespace"
echo "kwhich - Provide a description of the attached cluster and namespace"
# echo "kreset - Delete all AAW data and system tables for this installation"

echo -e "\nAll utilities accept a -h (--help) switch for detailing the"
echo -e "utility specific flags and options.\n"

echo "Exporting AAW sw include directory ...."
export PATH=/opt/gpudb/kml/python3/bin:\$PATH
echo "Exporting AAW utilities directory ...."
export PATH=$PATH:/opt/gpudb/kml/utils
